
Ruby - Bug #4393

windows commands starting with "@" should run at all

02/13/2011 11:40 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3dev (2011-02-09 trunk 30831)

[i386-mswin32_100] 

Backport:  

Description

=begin

Hello all.

Originally reported this here:

http://www.ruby-forum.com/topic/1060963

I believe in windows the following should work but fails (should call out to cmd to process it...)

system("ls.exe")

2.3  2.4

=> true

 

system("@ls.exe")

=> nil

 

Thanks!

-r

=end

Related issues:

Related to Ruby - Bug #4396: windows commands starting with "@" should run at... Rejected 02/14/2011

History

#1 - 02/13/2011 11:00 PM - kosaki (Motohiro KOSAKI)

- ruby -v changed from ruby 1.9.2p0 (2010-08-18) [i386-mingw32] to ruby 1.9.3dev (2011-02-09 trunk 30831) [i386-mswin32_100] 

=begin

Agreed. C lang's System() allow system("@dir"). Therefore ruby's should allow it too.

Plus, This can be reporoduced on trunk. then I've replaced `ruby -v' field.

=end

#2 - 02/14/2011 01:17 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r30867.

Roger, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

win32/win32.c (is_internal_cmd): if the first char of prog is '@',

execute it via shell.  [ruby-core:35218] (#4393)

=end
#3 - 05/03/2011 07:00 PM - kosaki (Motohiro KOSAKI)

Note: ruby 1.8 makes different result. because we changed system() spec at ruby-1.9.

system("@ls.exe")

=> false
